from stem.control import Controller
import getpass
#solicita una contraseña
clave=getpass.getpass('Controller password pass:')
#Ahora habilita ControlPort for Tor para escuchar los comandos.
controller=Controller.from_port(port=9151)
#autentificacion en una instancia de TOR
controller.authenticate(clave)
print(controller.get_info("address")) #consulta claves disponibles

